Subject: [Fot] Adding new members to our ranks

From: [email-masked]
Date: Fri, 26 Jun 2026 06:25:10 -0400

Just a reminder, we do not nominate people to the FOT anymore, we 
SPONSOR them. No seconding necessary, we simply add deserving people.

Of course in Kallie's case, I would have also seconded her in a 
heartbeat! Did I mention how impressive she looked out there???

I do wonder what took her husband so long to actually get her on the 
list??? :)

Henry
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot